Creating legacy public apps and project-based apps are temporary unavailable for new HubSpot accounts.
Learn more in our Trust Center.
curl --request POST \
--url https://api.hubapi.com/automation/v4/actions/callbacks/{callbackId}/complete \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"outputFields": {},
"typedOutputs": {},
"failureReasonType": "<string>",
"requestContext": {
"source": "WORKFLOWS",
"workflowId": 123,
"actionExecutionIndexIdentifier": {
"actionExecutionIndex": 123,
"enrollmentId": 123
},
"actionId": 123
}
}
'This response has no body data.Complete a specific blocked action execution by ID.
curl --request POST \
--url https://api.hubapi.com/automation/v4/actions/callbacks/{callbackId}/complete \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"outputFields": {},
"typedOutputs": {},
"failureReasonType": "<string>",
"requestContext": {
"source": "WORKFLOWS",
"workflowId": 123,
"actionExecutionIndexIdentifier": {
"actionExecutionIndex": 123,
"enrollmentId": 123
},
"actionId": 123
}
}
'This response has no body data.Supported products
Required Scopes
The access token received from the authorization server in the OAuth 2.0 flow.
The unique identifier for the specific callback to complete.
Contains the output fields associated with the callback, with each field represented as a key-value pair.
Show child attributes
Holds the typed outputs related to the callback, structured as an object.
Indicates the reason for the failure of a callback completion.
Specifies the context in which the request is made, which can be one of several predefined contexts.
Show child attributes
Was this page helpful?